Bug 1946038 - cgroup v2 support is broken, needs to be updated to 1.0.0~rc93 to fix it
Summary: cgroup v2 support is broken, needs to be updated to 1.0.0~rc93 to fix it
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: runc
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Hunt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-03 18:36 UTC by Neal Gompa
Modified: 2021-04-06 01:03 UTC (History)
11 users (show)

Fixed In Version: runc-1.0.0-375.dev.git12644e6.fc34 runc-1.0.0-375.dev.git12644e6.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-06 00:15:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Neal Gompa 2021-04-03 18:36:16 UTC
Description of problem:
runc is supposed to support cgroup v2 now in F34+, but it seems that it is not working.

Upstream indicates that this is fully supported with rc93: https://github.com/opencontainers/runc/releases/tag/v1.0.0-rc93

Please update to a commit at or above this to fix it.

Version-Release number of selected component (if applicable):
1.0.0-364.dev.gite7bd1fb

How reproducible:
Always

Steps to Reproduce:
1. Install moby-engine
2. sudo docker run --rm -it registry.fedoraproject.org/fedora:34 /bin/bash

Actual results:
Error response from daemon: OCI runtime create failed: this version of runc doesn't work on cgroups v2: unknown"

Expected results:
Moby just works.

Additional info:

This is needed for Fedora CoreOS to finish transitioning to cgroup v2 as well: https://github.com/coreos/fedora-coreos-tracker/issues/292

Comment 1 Peter Hunt 2021-04-05 17:27:36 UTC
runc 1.0.0-rc93 is packaged in f33+

Comment 2 Fedora Update System 2021-04-05 17:34:59 UTC
FEDORA-2021-b4560c953f has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-b4560c953f

Comment 3 Fedora Update System 2021-04-05 17:35:16 UTC
FEDORA-2021-fdb2a2b151 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-fdb2a2b151

Comment 4 Fedora Update System 2021-04-06 00:15:38 UTC
FEDORA-2021-b4560c953f has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Fedora Update System 2021-04-06 01:03:46 UTC
FEDORA-2021-fdb2a2b151 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.